Error when inserting block named Contact

For electrical schematics, I have a block named Contact. If I use the Insert command, as soon as I type "Con" (or "con" or "CON"), an error message apprears:

An unexpected error occurred. The application became unstable.
It is recommended to save your work to a temporary file and restart the application.

If I type "tact" and then fill in the "Con" the insert block operation completes without error. Selecting the block from the drop-down list works fine.

Anyone else see this behavior?

Comments

  • What is your "Auto Complete Delay" set to? I have seen issues where the search is too quick to start looking for matches... This can happen if you have a seriously large number of items in your support folders,etc... The other thing you could try is a short Lisp function:

    (defun c:contact () (command "-insert" "contact" pause "" "" "")(princ))

    If you cut past the above, then type "contact", does the same error/delay happen?

    You could make it shorter: (defun c:cc () (command "-insert" "contact" pause "" "" "")(princ))

    So now you would only need to type "cc" to add your contact block.... then you could add that to your on_doc_load.lsp or on_start.lsp.... and you would always have a "cc" shortcut for placing a Contact Block...

    Vince

  • I do not think Autocomplete plays a role here (would be very strange). It's a bug plain and simple. A quick test shows the problem also exists in V18.